## Apache Zeta Components Manual :: Docs For Class ezcCacheStorageMemoryDataStruct

### Cache::ezcCacheStorageMemoryDataStruct

### Class ezcCacheStorageMemoryDataStruct

Defines a memory data storage structure.

Source for this file: /Cache/src/structs/memory_data.php

    ezcBaseStruct
       |
       --ezcCacheStorageMemoryDataStruct

Version: | //autogentag//

### Member Variables

public mixed | `$data` Holds the actual data.
public string | `$location` Holds the location of the cache.
public string | `$time` Holds the time the data was introduced in the cache.

### Method Summary

public ezcCacheStorageMemoryDataStruct | `__construct( $data , $location )` Constructs a new ezcCacheMemoryDataStruct.

### Methods

#### __construct

ezcCacheStorageMemoryDataStruct __construct( mixed $data , string $location )

Constructs a new ezcCacheMemoryDataStruct.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$data` | mixed |
`$location` | string |

Documentation generated by phpDocumentor 1.4.3